%global pypi_name jsonpath-rw

Summary:        Extended implementation of JSONPath for Python
Name:           python-%{pypi_name}
Version:        1.4.0
Release:        4%{?dist}
License:        ASL 2.0
URL:            https://github.com/kennknowles/python-jsonpath-rw
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description
This package provides a robust and significantly extended implementation of JSONPath for Python.

What makes this library differs from other JSONPath implementations is that it is a full language 
implementation, which means that JSONPath expressions are first class objects, easy to analyze, 
transform, parse, print, and extend.

%package -n python3-%{pypi_name}
Summary:        %{sumary}
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-ply python3-decorator python3-six

%description -n python3-%{pypi_name}
This package provides a robust and significantly extended implementation of JSONPath for Python.

What makes this library differs from other JSONPath implementations is that it is a full language 
implementation, which means that JSONPath expressions are first class objects, easy to analyze, 
transform, parse, print, and extend.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/jsonpath.py
%{python3_sitelib}/jsonpath_rw/
%{python3_sitelib}/jsonpath_rw-%{version}*-info/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Wang Guodong <gordonwwang@tencent.com> - 1.4.0-1
- initial build
